nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Types | Public Member Functions | List of all members
nx::sdk::cloud_storage::IMediaDataPacket Class Referenceabstract

`#include <i_media_data_packet.h>`

Inheritance diagram for nx::sdk::cloud_storage::IMediaDataPacket:

## Public Types
enum | Type { audio, video, metadata, unknown }

## Public Member Functions
virtual int64_t | timestampUs () const =0
virtual Type | type () const =0
virtual const void * | data () const =0
virtual unsigned int | dataSize () const =0
virtual unsigned int | channelNumber () const =0
virtual nxcip::CompressionType | codecType () const =0
virtual bool | isKeyFrame () const =0
virtual const void * | encryptionData () const =0
virtual int | encryptionDataSize () const =0
Public Member Functions inherited from nx::sdk::Interface< IMediaDataPacket >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const
Public Member Functions inherited from nx::sdk::IRefCountable
virtual | ~IRefCountable ()=default
template<class Interface >
Ptr< Interface > | queryInterface ()
template<class Interface >
Ptr< const Interface > | queryInterface () const
virtual int | addRef () const =0
virtual int | releaseRef () const =0
int | refCountThreadUnsafe () const

## Additional Inherited Members
Static Public Member Functions inherited from nx::sdk::IRefCountable
static auto | interfaceId ()
Protected Member Functions inherited from nx::sdk::Interface< IMediaDataPacket >
virtual IRefCountable * | queryInterface (const IRefCountable::InterfaceId *id) override
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)
Static Protected Member Functions inherited from nx::sdk::IRefCountable
template<int len>
static const InterfaceId * | makeId (const char(&charArray)[len])
template<int len, int alternativeLen>
static std::vector< const InterfaceId * > | makeIdWithAlternative (const char(&charArray)[len], const char(&alternativeCharArray)[alternativeLen])
template<class TemplateInstance , class TemplateArg , int len>
static const InterfaceId * | makeIdForTemplate (const char(&baseIdCharArray)[len])
static std::vector< const InterfaceId * > | alternativeInterfaceIds (const InterfaceId *id)
static std::vector< const InterfaceId * > | alternativeInterfaceIds (std::vector< const InterfaceId *> ids)

## Detailed Description

Media data packet abstraction. Data and encryptionData are opaque binary data arrays which should not be parsed or processed by the plugin in any way. Media data packet is provided to the plugin by the StreamWriter and is expected to be exactly the same when returned by the StreamReader object.

The documentation for this class was generated from the following file:

- src/nx/sdk/cloud_storage/i_media_data_packet.h